<?php

namespace Drupal\ro_dashboard;

use Drupal\Core\Entity\EntityInterface;
use Drupal\Core\Entity\EntityListBuilder;
use Drupal\ro_dashboard\Entity\RoDashboardSite;
use Drupal\ro_dashboard\Entity\RoDashboardSiteInterface;

/**
 * Provides a list controller for monitored sites.
 *
 * @ingroup ro_dashboard
 */
class RoDashboardSiteListBuilder extends EntityListBuilder {

  /**
   * {@inheritdoc}
   */
  public function buildHeader() {
    $header['label'] = $this->t('Title');
    $header['status'] = $this->t('Status');
    $header['created'] = $this->t('Created');
    $header['changed'] = $this->t('Changed');
    return $header + parent::buildHeader();
  }

  /**
   * {@inheritdoc}
   */
  public function buildRow(EntityInterface $entity) {
    assert($entity instanceof RoDashboardSite);
    $row['label'] = $entity->toLink($entity->label());
    $row['status'] = $entity->isPublished() ? RoDashboardSiteInterface::PUBLISHED : RoDashboardSiteInterface::NOT_PUBLISHED;
    $row['created'] = gmdate("d-m-Y - h:i", $entity->getCreatedTime());
    $row['changed'] = gmdate("d-m-Y - h:i", $entity->getChangedTime());
    return $row + parent::buildRow($entity);
  }

}
